Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571470 - FFU: openstack overcloud ffwd-upgrade run outputs gibberish characters
Summary: FFU: openstack overcloud ffwd-upgrade run outputs gibberish characters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: z7
: 13.0 (Queens)
Assignee: Lukas Bezdicka
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 21:51 UTC by Marius Cornea
Modified: 2019-05-10 16:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-10 16:35:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marius Cornea 2018-04-24 21:51:23 UTC
Description of problem:
FFU: openstack overcloud ffwd-upgrade run provides gibberish output:

 u'',
 u'TASK [Set fact gnocchi_metricd_enabled] ****************************************',
 u'skipping: [192.168.24.18] => {"changed": false, "skip_reason": "Conditional result was False"}',
 u'',
 u'TASK [FFU check if openstack-gnocchi-statsd is deployed] ***********************',
 u'skipping: [192.168.24.18] => {"changed": false, "skip_reason": "Conditional result was False"}',
 u'',
 u'TASK [Set fact gnocchi_statsd_enabled] *****************************************',
 u'skipping: [192.168.24.18] => {"changed": false, "skip_reason": "Conditional result was False"}',
 u'',
 u'TASK [FFU check openstack-heat-api is enabled] *********************************',
 u'skipping: [192.168.24.18] => {"changed": false, "skip_reason": "Conditional result was False"}']


Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-8.0.2-0.20180416194362.29a5ad5.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. openstack overcloud ffwd-upgrade run
2. Check output


Actual results:
There are a bunch of u'', and  u' characters in the output between the ansible playbooks output which should not be outputted. 

Expected results:
Clear output.

Additional info:

Comment 1 Jose Luis Franco 2018-04-30 14:44:12 UTC
@Carlos, this BZ has been assigned to you during triage duty call. Please, feel free to reasign.

Comment 13 Lukas Bezdicka 2019-05-10 16:35:06 UTC
On OSP13z6 it does not output u'' anymore.


Note You need to log in before you can comment on or make changes to this bug.